# docker stop

<!---MARKER_GEN_START-->
Stop one or more running containers

### Aliases

`docker container stop`, `docker stop`

### Options

| Name              | Type     | Default | Description                                  |
|:------------------|:---------|:--------|:---------------------------------------------|
| `-s`, `--signal`  | `string` |         | Signal to send to the container              |
| `-t`, `--timeout` | `int`    | `0`     | Seconds to wait before killing the container |


<!---MARKER_GEN_END-->

